GNU bug report logs - #44672
28.0.50; 'ç' key on BR-ABNT2 keyboard translates to strange symbols

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: YohananDiamond <mitonanan12@HIDDEN>; dated Mon, 16 Nov 2020 00:01:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 44672 <at> debbugs.gnu.org:


Received: (at 44672) by debbugs.gnu.org; 16 Nov 2020 22:48:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 16 17:48:59 2020
Received: from localhost ([127.0.0.1]:57652 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kenIx-0006Op-EX
	for submit <at> debbugs.gnu.org; Mon, 16 Nov 2020 17:48:59 -0500
Received: from quimby.gnus.org ([95.216.78.240]:40006)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kenIv-0006Oc-Sh
 for 44672 <at> debbugs.gnu.org; Mon, 16 Nov 2020 17:48:58 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=bD11j0Fe52ohmIWNmUvjxjUXq2qdW0xoyFIE4rU7PS4=; b=WeG/fjl9FRBAjR9DPnlOlip4DG
 LjMo1dQPufrtB9cxBtuDe0ir7hxxJO7d+80nE2xJ/aUqA4CMf2n3EkfWFRfsfesvZDng3Cq6qBxpi
 5HUlEgMUVdn1AFwkWUYtBbUsSUp2xhBW5VwBObtWBv5awUIRqzdGcjfqJu5zf79oTtHI=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kenIn-0006lG-2y; Mon, 16 Nov 2020 23:48:51 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: YohananDiamond <mitonanan12@HIDDEN>
Subject: Re: bug#44672: 28.0.50; =?utf-8?Q?'=C3=A7'?= key on BR-ABNT2
 keyboard translates to strange symbols
References: <CAPdX1+OHgiH4W-mc2-GseaojqqHJfTBJ8n8yTXDfwWjc_=Wg_w@HIDDEN>
 <87lff1uek3.fsf@HIDDEN>
 <CAPdX1+Pv-LF+EB1G-v59mqOOpm=15TzbEzPKe_J_n8T1aDPtPw@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAG1BMVEUHBgUmKxCkqa3u
 8fNHWBxpig65uwiZYir///+9cxmfAAAAAWJLR0QIht6VegAAAAd0SU1FB+QLEBYvDRLODqgAAAG4
 SURBVDjLrZMxT+QwEIVn7gy1B5y9dhWQaBFb0MacE+pIO6mRbnENp0P8fcb2JHEOShxpvdnPnvf8
 xgtgEZaBJANJv1/dGRdC6Jk5ynie/jwc9gkc7oz87jPKIP4+3Ar4195kQJ5kCgnkHWABUqVwLJXi
 c4zdrKkSYfoCiDLDbgvaawHU84jnCh7bl+Q3ufLQjN3QKMiuCujA+G4Y4qlJoLgCtC549N66XTw+
 TQJssJqE88aTpV8xPA1cuQLqEOk1vEc67Vbw+CrVDFjXj29gB54i5VIiLidJUhKP8Yan1ZV8ZHAe
 8QQ9K0ilFDSpesPRtat8Bm6wCUwWYAPQscyG2S5LFZBXkJubxTMwXZ+iZr7IkczAyA7RcNKZy+Kq
 vS5Nme9JrzvKe/B5TnKuX12ZiccSWnrCCs6ORLrDWVRAopFu4LLKuovcWpNc1YDocg2xBsb/nFu7
 BTgiLfJYAWjqBAOvSRtd/5D6wfkg+lcx792SVVPtgMoVoIclEwWgMekhcqm/dWtne/DFSDeo6nd1
 mrEA3LS2AHW1n0NUwLXdubXZYJl+tHv41oGVBswaL1tX/4d4/xns4QOJpWnFhPsSQAAAACV0RVh0
 ZGF0ZTpjcmVhdGUAMjAyMC0xMS0xNlQyMjo0NzoxMyswMDowMERbfFUAAAAldEVYdGRhdGU6bW9k
 aWZ5ADIwMjAtMTEtMTZUMjI6NDc6MTMrMDA6MDA1BsTpAAAAAElFTkSuQmCC
X-Now-Playing: Yes's _The Yes Album_: "Yours Is No Disgrace"
Date: Mon, 16 Nov 2020 23:48:47 +0100
In-Reply-To: <CAPdX1+Pv-LF+EB1G-v59mqOOpm=15TzbEzPKe_J_n8T1aDPtPw@HIDDEN>
 (YohananDiamond's message of "Mon, 16 Nov 2020 19:38:38 -0300")
Message-ID: <87tutouddc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 
 Content preview:  (Please keep the debbugs address in the Cc headers.) YohananDiamond
    <mitonanan12@HIDDEN> writes: > Sure: > > - launch emacs on a terminal
   via "emacs -Q -nw" > - insert the "ç" character on the terminal's standard
    input 
 
 Content analysis details:   (-2.9 points, 5.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
                             [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44672
Cc: 44672 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

(Please keep the debbugs address in the Cc headers.)

YohananDiamond <mitonanan12@HIDDEN> writes:

> Sure:
>
> - launch emacs on a terminal via "emacs -Q -nw"
> - insert the "=C3=A7" character on the terminal's standard input

I'm now sure what you mean by the latter.

> Remember that this is tested on a BR-ABNT2 keyboard layout, so it might be
> possible that you can't type it. Pasting the character seems to have the =
same
> effect, though, and some characters output similar gibberish: =C3=A4, =C3=
=9F, =C3=B0, =C4=91, =C5=8B.

I started

emacs -Q -nw

and then pasted a "=C3=A7" character into the *scratch* buffer, and it look=
ed
OK to me.

Did you mean something else?





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44672; Package emacs. Full text available.

Message received at 44672 <at> debbugs.gnu.org:


Received: (at 44672) by debbugs.gnu.org; 16 Nov 2020 22:23:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Nov 16 17:23:19 2020
Received: from localhost ([127.0.0.1]:57620 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kemu7-0001YN-Fe
	for submit <at> debbugs.gnu.org; Mon, 16 Nov 2020 17:23:19 -0500
Received: from quimby.gnus.org ([95.216.78.240]:39688)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kemu6-0001Y8-67
 for 44672 <at> debbugs.gnu.org; Mon, 16 Nov 2020 17:23:18 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID
 :In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=4zaIYYRtHD6IKOc7OjlOrpjN1uYCPd3raaPsQI8QS1o=; b=Tm0ewQMNtP4uKqPulDrHLB3GQ7
 ETQ6tYLkO+dlWa3weWzfcZRg7Vu3tQqjrpyklS33nam/57foBsM0jcvfibmK4pTBeCfTFF8EViHR9
 awOzf9HW3Aw1KfThpzXbMb00d2E4mG3RL/e2MoMrYGeyUkA1cLSQMtEx6qJW+rWOIGXA=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kemtx-0006Le-G5; Mon, 16 Nov 2020 23:23:12 +0100
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: YohananDiamond <mitonanan12@HIDDEN>
Subject: Re: bug#44672: 28.0.50; =?utf-8?Q?'=C3=A7'?= key on BR-ABNT2
 keyboard translates to strange symbols
References: <CAPdX1+OHgiH4W-mc2-GseaojqqHJfTBJ8n8yTXDfwWjc_=Wg_w@HIDDEN>
X-Now-Playing: Various's _Amchitka (2)_: "Joni Mitchell - Woodstock"
Date: Mon, 16 Nov 2020 23:23:08 +0100
In-Reply-To: <CAPdX1+OHgiH4W-mc2-GseaojqqHJfTBJ8n8yTXDfwWjc_=Wg_w@HIDDEN>
 (YohananDiamond's message of "Sun, 15 Nov 2020 20:58:39 -0300")
Message-ID: <87lff1uek3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  YohananDiamond <mitonanan12@HIDDEN> writes: > Hello! I
 use emacs with evil-mode, a minor mode package that adds vim-ish > keybindings
 for navigation and editing text. I have a BR-ABNT2 keyboard > and noticed
 my workflow would get more efficient [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 44672
Cc: 44672 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

YohananDiamond <mitonanan12@HIDDEN> writes:

> Hello! I use emacs with evil-mode, a minor mode package that adds vim-ish
> keybindings for navigation and editing text. I have a BR-ABNT2 keyboard
> and noticed my workflow would get more efficient if I bound the =C3=A7 ke=
y to
> what the : key would normally do. And so I did. But I noticed that, if I
> enter a terminal frame and the first key to be typed is =C3=A7, strange
> characters appear on the screen (usually a combination of =C3=83, =C2=A7 =
and
> \247). This is probably an encoding-related problem but I don't know how
> to proceed.
>
> Note: I've tested the bug on a fresh emacsclient (emacs --daemon -Q &&
> emacsclient -t) and a standalone emacs terminal frame (emacs -Q -nw) and
> it happens in both, even without loading any personal init.el file.

Do you have a step-by-step recipe for how to reproduce this bug,
starting from "emacs -Q"?

--=20
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#44672; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Nov 2020 00:00:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Nov 15 19:00:45 2020
Received: from localhost ([127.0.0.1]:54585 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1keRwq-0003tF-E4
	for submit <at> debbugs.gnu.org; Sun, 15 Nov 2020 19:00:45 -0500
Received: from lists.gnu.org ([209.51.188.17]:53102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mitonanan12@HIDDEN>) id 1keRwP-0003sP-K1
 for submit <at> debbugs.gnu.org; Sun, 15 Nov 2020 19:00:20 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:36268)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <mitonanan12@HIDDEN>)
 id 1keRwL-0000bk-QH
 for bug-gnu-emacs@HIDDEN; Sun, 15 Nov 2020 19:00:17 -0500
Received: from mail-lj1-x22a.google.com ([2a00:1450:4864:20::22a]:36439)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <mitonanan12@HIDDEN>)
 id 1keRwI-0002YJ-8d
 for bug-gnu-emacs@HIDDEN; Sun, 15 Nov 2020 19:00:13 -0500
Received: by mail-lj1-x22a.google.com with SMTP id i17so17077470ljd.3
 for <bug-gnu-emacs@HIDDEN>; Sun, 15 Nov 2020 16:00:08 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:from:date:message-id:subject:to;
 bh=sTpa8KEyyBTgQOBsIrVwtYThqPtcr8kFuvZb8T9FQI0=;
 b=UpwXttumN4LPw5hldMpkl0usg1MFhAZ5N8OnaZRbsyAy0SQPGilRl/YjP54otRqmcq
 l9bY7cdK8KDZbY5KeImluALcLs/syEJ7SLmzuaiVz2NTxYO8sFvJTTxgHGy/u4zQgOFX
 kUnd4QAwM7tnOFbkDBwLdAKzpZF2QewcDRSZVViJkVuO2QwFjzrLhMrbEtJQCw4nt+DH
 Bi5/SSwfUzaTdkspn4lHGWfFdWz8yk5qW9M5pyLecUt3c424OnbJ3xnePITc+z2y7ru8
 eHWVB0QiQ44hiTS7FPtCN63Aug1wpOx9V5sPlsXR3/rfu94x0F22cWKOsaac7nsIMCku
 7dxw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=sTpa8KEyyBTgQOBsIrVwtYThqPtcr8kFuvZb8T9FQI0=;
 b=szQIduyunb1ZsZYOPEwI9W7SIvgdIPdwXD3l9pUpuXOBog7gxeR/Eu+sEnv4tLe5Or
 kpMrm8q6/MLrUJrEH/G9ukp3zWelnFJeKHukimJmKkAVm5K7+50hTYP+S4SJtsAggFMb
 hW7I2s0mv2KijYiz4fogKf4/E+qVuYy4BXYXs09HgmuErwN1rUJ6+gJXrc8vufWFg/SD
 /el7DbfF9VHWM9polmA3Ku9s0n5F93WiJu1y8Askt3MZkZWlXQLBnjGf4L6lz0h7h4Ui
 Ob3T3BZtHe30nWQYUjKZVv6MX2im+fSGm3k7vVLCjT8/ReBd/P3wkvPTSXpslHwzupM5
 JbMw==
X-Gm-Message-State: AOAM531pDFBWaRdv09vhjnykKtRoH/S5jfRBvRjXf0cRWedT4UvfFj0v
 iYptTi+303QyvULJtcy2hzICltZ+9r7jTVTHdtfcW4WKGDn1yw==
X-Google-Smtp-Source: ABdhPJxPxjikfIO3cTQ3ViFwwe0qQVVKQlYh+rBvj9UC3zyWMsix9TdA5t5VkIaVbbYyxt1EuDS6pyica1tnMMHyyTQ=
X-Received: by 2002:a05:651c:1198:: with SMTP id
 w24mr5446994ljo.383.1605484806275; 
 Sun, 15 Nov 2020 16:00:06 -0800 (PST)
MIME-Version: 1.0
From: YohananDiamond <mitonanan12@HIDDEN>
Date: Sun, 15 Nov 2020 20:58:39 -0300
Message-ID: <CAPdX1+OHgiH4W-mc2-GseaojqqHJfTBJ8n8yTXDfwWjc_=Wg_w@HIDDEN>
Subject: =?UTF-8?Q?28=2E0=2E50=3B_=27=C3=A7=27_key_on_BR=2DABNT2_keyboard_translates_to?=
 =?UTF-8?Q?_strange_symbols?=
To: bug-gnu-emacs@HIDDEN
Content-Type: multipart/alternative; boundary="0000000000009206c305b42e0f87"
Received-SPF: pass client-ip=2a00:1450:4864:20::22a;
 envelope-from=mitonanan12@HIDDEN; helo=mail-lj1-x22a.google.com
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -17
X-Spam_score: -1.8
X-Spam_bar: -
X-Spam_report: (-1.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_ENVFROM_END_DIGIT=0.25, FREEMAIL_FROM=0.001, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Sun, 15 Nov 2020 19:00:43 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.1 (--)

--0000000000009206c305b42e0f87
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Hello! I use emacs with evil-mode, a minor mode package that adds vim-ish
keybindings for navigation and editing text. I have a BR-ABNT2 keyboard
and noticed my workflow would get more efficient if I bound the =C3=A7 key =
to
what the : key would normally do. And so I did. But I noticed that, if I
enter a terminal frame and the first key to be typed is =C3=A7, strange
characters appear on the screen (usually a combination of =C3=83, =C2=A7 an=
d
\247). This is probably an encoding-related problem but I don't know how
to proceed.

Note: I've tested the bug on a fresh emacsclient (emacs --daemon -Q &&
emacsclient -t) and a standalone emacs terminal frame (emacs -Q -nw) and
it happens in both, even without loading any personal init.el file.

In GNU Emacs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.21,
cairo version 1.17.3)
 of 2020-07-31 built on core
Repository revision: fbe363f5e18fb4975de168191f1ee9b686e48d9f
Repository branch: master
System Description: Arch Linux

Recent messages:
Cleaning up the recentf list...done (6 removed)
Unable to load color "brightpurple"
Unable to load color "brightred" [2 times]
Unable to load color "brightcyan"
Unable to load color "brightpurple" [2 times]
Unable to load color "brightred" [2 times]
Quit
Quit
Configured using:
 'configure --prefix=3D/usr --sysconfdir=3D/etc --libexecdir=3D/usr/lib
 --localstatedir=3D/var --mandir=3D/usr/share/man --with-gameuser=3D:games
 --with-sound=3Dalsa --with-modules --without-gconf --without-gsettings
 --with-x-toolkit=3Dgtk3 --without-xaw3d --without-compress-install
 'CFLAGS=3D-march=3Dx86-64 -mtune=3Dgeneric -O2 -pipe -fno-plt -flto'
 CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2
 LDFLAGS=3D-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'

Configured features:
XPM JPEG TIFF GIF PNG RSVG CAIRO SOUND GPM DBUS GLIB NOTIFY INOTIFY ACL
GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 XDBE XIM MODULES THREADS LIBSYSTEMD JSON
PDUMPER LCMS2

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Text

Minor modes in effect:
  recentf-mode: t
  global-hl-line-mode: t
  show-paren-mode: t
  electric-pair-mode: t
  global-display-line-numbers-mode: t
  display-line-numbers-mode: t
  global-evil-surround-mode: t
  evil-surround-mode: t
  evil-commentary-mode: t
  global-undo-tree-mode: t
  undo-tree-mode: t
  evil-mode: t
  evil-local-mode: t
  xclip-mode: t
  which-key-mode: t
  ivy-rich-mode: t
  ivy-mode: t
  global-magit-file-mode: t
  magit-auto-revert-mode: t
  global-git-commit-mode: t
  async-bytecomp-package-mode: t
  shell-dirtrack-mode: t
  global-auto-complete-mode: t
  rainbow-delimiters-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  global-visual-line-mode: t
  visual-line-mode: t
  transient-mark-mode: t

Load-path shadows:
/usr/share/emacs/site-lisp/xscheme hides
/usr/share/emacs/28.0.50/lisp/progmodes/xscheme

Features:
(shadow sort mail-extr emacsbug sendmail mule-util recentf tree-widget
wid-edit main base16-theme conf-general ace-window avy hl-line paren
elec-pair display-line-numbers conf-kb conf-fmodes cc-styles cc-align
cc-engine cc-vars cc-defs conf-evil evil-magit evil-surround
evil-commentary evil-commentary-integration evil evil-keybindings
evil-integration undo-tree evil-maps evil-commands reveal flyspell
ispell evil-jumps evil-command-window evil-types evil-search evil-ex
evil-macros evil-repeat evil-states evil-core evil-common windmove
thingatpt rect evil-digraphs evil-vars conf-packages xclip origami
origami-parsers rx cl which-key ivy-rich counsel xdg xref project
compile swiper ivy delsel ivy-faces ivy-overlay colir color
magit-submodule magit-obsolete magit-blame magit-stash magit-reflog
magit-bisect magit-push magit-pull magit-fetch magit-clone magit-remote
magit-commit magit-sequence magit-notes magit-worktree magit-tag
magit-merge magit-branch magit-reset magit-files magit-refs magit-status
magit magit-repos magit-apply magit-wip magit-log which-func imenu
magit-diff smerge-mode diff diff-mode magit-core magit-autorevert
autorevert filenotify magit-margin magit-transient magit-process
magit-mode git-commit transient format-spec magit-git magit-section
magit-utils crm log-edit message rmc puny dired dired-loaddefs rfc822
mml mml-sec epa derived epg epg-config gnus-util rmail rmail-loaddefs
text-property-search time-date mm-decode mm-bodies mm-encode mail-parse
rfc2231 rfc2047 rfc2045 mm-util ietf-drums mail-prsvr mailabbrev
mail-utils gmm-utils mailheader pcvs-util add-log with-editor
async-bytecomp advice async shell pcomplete comint ansi-color ring
server auto-complete-config auto-complete edmacro kmacro popup
rainbow-delimiters visual-regexp auto-package-update easy-mmode bind-map
core-rifle core-misc pcase core-style core-packages f dash s cl-extra
help-mode use-package-ensure use-package-core core-init finder-inf info
package easymenu browse-url url-handlers url-parse auth-source cl-seq
eieio eieio-core cl-macs eieio-loaddefs password-cache json subr-x map
url-vars seq byte-opt gv bytecomp byte-compile cconv cl-loaddefs cl-lib
tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type
mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list replace newcomment text-mode elisp-mode
lisp-mode prog-mode register page tab-bar menu-bar rfn-eshadow isearch
timer select scroll-bar mouse jit-lock font-lock syntax facemenu
font-core term/tty-colors frame minibuffer cl-generic cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote threads dbusbind
inotify lcms2 dynamic-setting font-render-setting cairo move-toolbar gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 357204 37428)
 (symbols 48 28422 2)
 (strings 32 114042 2952)
 (string-bytes 1 3307905)
 (vectors 16 40702)
 (vector-slots 8 448939 14850)
 (floats 8 203 510)
 (intervals 56 317 13)
 (buffers 992 11))

--0000000000009206c305b42e0f87
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr">Hello! I use emacs with evil-mode, a minor mode package th=
at adds vim-ish<br>keybindings for navigation and editing text. I have a BR=
-ABNT2 keyboard<br>and noticed my workflow would get more efficient if I bo=
und the =C3=A7 key to<br>what the : key would normally do. And so I did. Bu=
t I noticed that, if I<br>enter a terminal frame and the first key to be ty=
ped is =C3=A7, strange<br>characters appear on the screen (usually a combin=
ation of =C3=83, =C2=A7 and<br>\247). This is probably an encoding-related =
problem but I don&#39;t know how<br>to proceed.<br><br>Note: I&#39;ve teste=
d the bug on a fresh emacsclient (emacs --daemon -Q &amp;&amp;<br>emacsclie=
nt -t) and a standalone emacs terminal frame (emacs -Q -nw) and<br>it happe=
ns in both, even without loading any personal init.el file.<br><br>In GNU E=
macs 28.0.50 (build 1, x86_64-pc-linux-gnu, GTK+ Version 3.24.21, cairo ver=
sion 1.17.3)<br>=C2=A0of 2020-07-31 built on core<br>Repository revision: f=
be363f5e18fb4975de168191f1ee9b686e48d9f<br>Repository branch: master<br>Sys=
tem Description: Arch Linux<br><br>Recent messages:<br>Cleaning up the rece=
ntf list...done (6 removed)<br>Unable to load color &quot;brightpurple&quot=
;<br>Unable to load color &quot;brightred&quot; [2 times]<br>Unable to load=
 color &quot;brightcyan&quot;<br>Unable to load color &quot;brightpurple&qu=
ot; [2 times]<br>Unable to load color &quot;brightred&quot; [2 times]<br>Qu=
it<br>Quit<br>Configured using:<br>=C2=A0&#39;configure --prefix=3D/usr --s=
ysconfdir=3D/etc --libexecdir=3D/usr/lib<br>=C2=A0--localstatedir=3D/var --=
mandir=3D/usr/share/man --with-gameuser=3D:games<br>=C2=A0--with-sound=3Dal=
sa --with-modules --without-gconf --without-gsettings<br>=C2=A0--with-x-too=
lkit=3Dgtk3 --without-xaw3d --without-compress-install<br>=C2=A0&#39;CFLAGS=
=3D-march=3Dx86-64 -mtune=3Dgeneric -O2 -pipe -fno-plt -flto&#39;<br>=C2=A0=
CPPFLAGS=3D-D_FORTIFY_SOURCE=3D2<br>=C2=A0LDFLAGS=3D-Wl,-O1,--sort-common,-=
-as-needed,-z,relro,-z,now&#39;<br><br>Configured features:<br>XPM JPEG TIF=
F GIF PNG RSVG CAIRO SOUND GPM DBUS GLIB NOTIFY INOTIFY ACL<br>GNUTLS LIBXM=
L2 FREETYPE HARFBUZZ M17N_FLT LIBOTF ZLIB<br>TOOLKIT_SCROLL_BARS GTK3 X11 X=
DBE XIM MODULES THREADS LIBSYSTEMD JSON<br>PDUMPER LCMS2<br><br>Important s=
ettings:<br>=C2=A0 value of $LANG: en_US.UTF-8<br>=C2=A0 locale-coding-syst=
em: utf-8-unix<br><br>Major mode: Text<br><br>Minor modes in effect:<br>=C2=
=A0 recentf-mode: t<br>=C2=A0 global-hl-line-mode: t<br>=C2=A0 show-paren-m=
ode: t<br>=C2=A0 electric-pair-mode: t<br>=C2=A0 global-display-line-number=
s-mode: t<br>=C2=A0 display-line-numbers-mode: t<br>=C2=A0 global-evil-surr=
ound-mode: t<br>=C2=A0 evil-surround-mode: t<br>=C2=A0 evil-commentary-mode=
: t<br>=C2=A0 global-undo-tree-mode: t<br>=C2=A0 undo-tree-mode: t<br>=C2=
=A0 evil-mode: t<br>=C2=A0 evil-local-mode: t<br>=C2=A0 xclip-mode: t<br>=
=C2=A0 which-key-mode: t<br>=C2=A0 ivy-rich-mode: t<br>=C2=A0 ivy-mode: t<b=
r>=C2=A0 global-magit-file-mode: t<br>=C2=A0 magit-auto-revert-mode: t<br>=
=C2=A0 global-git-commit-mode: t<br>=C2=A0 async-bytecomp-package-mode: t<b=
r>=C2=A0 shell-dirtrack-mode: t<br>=C2=A0 global-auto-complete-mode: t<br>=
=C2=A0 rainbow-delimiters-mode: t<br>=C2=A0 global-eldoc-mode: t<br>=C2=A0 =
electric-indent-mode: t<br>=C2=A0 mouse-wheel-mode: t<br>=C2=A0 file-name-s=
hadow-mode: t<br>=C2=A0 global-font-lock-mode: t<br>=C2=A0 font-lock-mode: =
t<br>=C2=A0 auto-composition-mode: t<br>=C2=A0 auto-encryption-mode: t<br>=
=C2=A0 auto-compression-mode: t<br>=C2=A0 line-number-mode: t<br>=C2=A0 glo=
bal-visual-line-mode: t<br>=C2=A0 visual-line-mode: t<br>=C2=A0 transient-m=
ark-mode: t<br><br>Load-path shadows:<br>/usr/share/emacs/site-lisp/xscheme=
 hides /usr/share/emacs/28.0.50/lisp/progmodes/xscheme<br><br>Features:<br>=
(shadow sort mail-extr emacsbug sendmail mule-util recentf tree-widget<br>w=
id-edit main base16-theme conf-general ace-window avy hl-line paren<br>elec=
-pair display-line-numbers conf-kb conf-fmodes cc-styles cc-align<br>cc-eng=
ine cc-vars cc-defs conf-evil evil-magit evil-surround<br>evil-commentary e=
vil-commentary-integration evil evil-keybindings<br>evil-integration undo-t=
ree evil-maps evil-commands reveal flyspell<br>ispell evil-jumps evil-comma=
nd-window evil-types evil-search evil-ex<br>evil-macros evil-repeat evil-st=
ates evil-core evil-common windmove<br>thingatpt rect evil-digraphs evil-va=
rs conf-packages xclip origami<br>origami-parsers rx cl which-key ivy-rich =
counsel xdg xref project<br>compile swiper ivy delsel ivy-faces ivy-overlay=
 colir color<br>magit-submodule magit-obsolete magit-blame magit-stash magi=
t-reflog<br>magit-bisect magit-push magit-pull magit-fetch magit-clone magi=
t-remote<br>magit-commit magit-sequence magit-notes magit-worktree magit-ta=
g<br>magit-merge magit-branch magit-reset magit-files magit-refs magit-stat=
us<br>magit magit-repos magit-apply magit-wip magit-log which-func imenu<br=
>magit-diff smerge-mode diff diff-mode magit-core magit-autorevert<br>autor=
evert filenotify magit-margin magit-transient magit-process<br>magit-mode g=
it-commit transient format-spec magit-git magit-section<br>magit-utils crm =
log-edit message rmc puny dired dired-loaddefs rfc822<br>mml mml-sec epa de=
rived epg epg-config gnus-util rmail rmail-loaddefs<br>text-property-search=
 time-date mm-decode mm-bodies mm-encode mail-parse<br>rfc2231 rfc2047 rfc2=
045 mm-util ietf-drums mail-prsvr mailabbrev<br>mail-utils gmm-utils mailhe=
ader pcvs-util add-log with-editor<br>async-bytecomp advice async shell pco=
mplete comint ansi-color ring<br>server auto-complete-config auto-complete =
edmacro kmacro popup<br>rainbow-delimiters visual-regexp auto-package-updat=
e easy-mmode bind-map<br>core-rifle core-misc pcase core-style core-package=
s f dash s cl-extra<br>help-mode use-package-ensure use-package-core core-i=
nit finder-inf info<br>package easymenu browse-url url-handlers url-parse a=
uth-source cl-seq<br>eieio eieio-core cl-macs eieio-loaddefs password-cache=
 json subr-x map<br>url-vars seq byte-opt gv bytecomp byte-compile cconv cl=
-loaddefs cl-lib<br>tooltip eldoc electric uniquify ediff-hook vc-hooks lis=
p-float-type<br>mwheel term/x-win x-win term/common-win x-dnd tool-bar dnd =
fontset image<br>regexp-opt fringe tabulated-list replace newcomment text-m=
ode elisp-mode<br>lisp-mode prog-mode register page tab-bar menu-bar rfn-es=
hadow isearch<br>timer select scroll-bar mouse jit-lock font-lock syntax fa=
cemenu<br>font-core term/tty-colors frame minibuffer cl-generic cham georgi=
an<br>utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean<br>j=
apanese eucjp-ms cp51932 hebrew greek romanian slovak czech european<br>eth=
iopic indian cyrillic chinese composite charscript charprop<br>case-table e=
pa-hook jka-cmpr-hook help simple abbrev obarray<br>cl-preloaded nadvice lo=
addefs button faces cus-face macroexp files<br>text-properties overlay sha1=
 md5 base64 format env code-pages mule<br>custom widget hashtable-print-rea=
dable backquote threads dbusbind<br>inotify lcms2 dynamic-setting font-rend=
er-setting cairo move-toolbar gtk<br>x-toolkit x multi-tty make-network-pro=
cess emacs)<br><br>Memory information:<br>((conses 16 357204 37428)<br>=C2=
=A0(symbols 48 28422 2)<br>=C2=A0(strings 32 114042 2952)<br>=C2=A0(string-=
bytes 1 3307905)<br>=C2=A0(vectors 16 40702)<br>=C2=A0(vector-slots 8 44893=
9 14850)<br>=C2=A0(floats 8 203 510)<br>=C2=A0(intervals 56 317 13)<br>=C2=
=A0(buffers 992 11))<br></div>

--0000000000009206c305b42e0f87--




Acknowledgement sent to YohananDiamond <mitonanan12@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#44672; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 16 Nov 2020 23:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.